## ben 0.6.1ubuntu2~ubuntu10.04.1

=== doc/Makefile ===
all: ben.1 refman.html

ben.1:
	a2x --doctype manpage --format manpage $@.txt

refman.html:
	asciidoc -b html4 -a icons -a toc2 $(@:.html=.txt)

clean:
	-rm -f refman.html ben.1

=== debian/changelog ===
ben (0.6.1ubuntu2~ubuntu10.04.1) lucid-backports; urgency=low

  * Source change backport to lucid. (LP: #1021951)
  * Revert port from ocsigen-xhtml to tyxml. We don't have tyxml in Lucid and
    it doesn't build with the ocaml there.
  * Update Vcs-* for backports branch
  * Lower debhelper 8 requirement to 7.0.50~ (required for overrides)
  * asciidoc: Use 'html4' backend as 'html' doesn't exist on Lucid.
  * Mangle the author names in the reference manual. Lucid's asciidoc can't
    handle this.
  * Don't strip the executable.

 -- Iain Lane <laney@ubuntu.com>  Fri, 06 Jul 2012 22:58:02 +0100

ben (0.6.1ubuntu2) quantal; urgency=low

  * Update Vcs-* for Ubuntu
  * Add Build-Depends on docbook-xsl as otherwise xsltproc tries to download
    DTD from the internet.

 -- Iain Lane <laney@ubuntu.com>  Wed, 04 Jul 2012 20:50:37 +0100

ben (0.6.1ubuntu1) quantal; urgency=low

  * Apply Ubuntu customisations
    - Link to Launchpad instead of Debian resources
    - Show Ubuntu logo
    - Allow configs to request the Packages/Sources files are not redownloaded
      (so that we can download once and for all at the start)
  * Recommend edos-debcheck 

 -- Iain Lane <laney@ubuntu.com>  Wed, 04 Jul 2012 17:48:11 +0100

ben (0.6.1) experimental; urgency=low

  [ Stéphane Glondu ]
  * Initial packaging

  [ Mehdi Dogguy ]
  * Initial Release (Closes: #679547)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Jul 2012 22:10:36 +0200

=== debian/control ===
Source: ben
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>,
 Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 dh-ocaml,
 docbook-xsl,
 graphviz,
 ocaml-findlib,
 menhir,
 libpcre-ocaml-dev,
 libocamlgraph-ocaml-dev,
 libfileutils-ocaml-dev,
 libocsigen-xhtml-ocaml-dev,
 libpostgresql-ocaml-dev,
 ocaml-nox (>= 3.11.1-3~),
 asciidoc,
 docbook-xml,
 libxml2-utils,
 xsltproc,
 source-highlight
Standards-Version: 3.9.3
Section: ocaml
Homepage: http://ben.debian.net
Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/lucid-backports
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/lucid-backports

Package: libben-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml libraries for Debian maintainers (development package)
 This package contains miscellaneous OCaml libraries to make the life
 of an OCaml-aware Debian package maintainer easier.
 .
 This package contains development files of the library.

Package: libben-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml libraries for Debian maintainers (runtime package)
 This package contains miscellaneous OCaml libraries to make the life
 of an OCaml-aware Debian package maintainer easier.
 .
 This package contains the shared runtime stub libraries.

Package: ben
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 bzip2,
 ${misc:Depends}
Provides: ${ocaml:Provides}
Enhances: devscripts
Recommends:
 libjs-jquery,
 edos-debcheck
Description: toolbox for Debian maintainers
 This is a collection of useful tools that Debian maintainers can use
 to make their packaging work easier. They all work with regular
 Debian package list files, and should be useful for Debian
 derivatives as well. This package ships a single executable, "ben",
 with the following subcommands:
  * download: download a set of package list files from a mirror
  * monitor: monitor the status of a set of packages across several
    architectures (useful for transitions)
  * query: query packages using their metadata (similar to grep-dctrl,
    but uses a dedicated query language)
  * tracker: frontend to multiple monitors

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/ocaml/ocamlvars.mk

export DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR := $(DESTDIR)$(OCAML_STDLIB_DIR)

# FIXME: xhtmlpretty.cmxa is only available on natdynlink architectures
ifeq ($(OCAML_NATDYNLINK),yes)
export OCAMLBEST := native
else
export OCAMLBEST := byte
endif

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR) $(DESTDIR)$(OCAML_DLL_DIR)
	$(MAKE) install PREFIX=/usr

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing -X.so.owner

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip -X/usr/bin/ben

## ben 0.6.1ubuntu2

=== doc/Makefile ===
all: ben.1 refman.html

ben.1:
	a2x --doctype manpage --format manpage $@.txt

refman.html:
	asciidoc -b html -a icons -a toc2 $(@:.html=.txt)

clean:
	-rm -f refman.html ben.1

## ben 0.6.1ubuntu2%7eubuntu12.04.1

=== debian/changelog ===
ben (0.6.1ubuntu2~ubuntu12.04.1) precise-backports; urgency=low

  * Source change backport to precise. (LP: #1021071)
  * Revert port from ocsigen-xhtml to tyxml. We don't have the required
    version of tyxml in Precise and bug #888665 means we wouldn't be able to
    use it to build with if backported.
  * Update Vcs-* for backports branch

 -- Iain Lane <laney@ubuntu.com>  Wed, 04 Jul 2012 22:32:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
- dh-ocaml,
+ debhelper (>= 8),
+ dh-ocaml (>= 0.9.6~),
  docbook-xsl,
  graphviz,
  ocaml-findlib,
@@ -26,8 +26,8 @@
 Standards-Version: 3.9.3
 Section: ocaml
 Homepage: http://ben.debian.net
-Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/lucid-backports
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/lucid-backports
+Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/precise-backports
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/precise-backports
 
 Package: libben-ocaml-dev
 Architecture: any

## ben 0.6.1ubuntu4

=== Makefile ===
##########################################################################
#  Copyright © 2009 Stéphane Glondu <steph@glondu.net>                   #
#                                                                        #
#  This program is free software: you can redistribute it and/or modify  #
#  it under the terms of the GNU Affero General Public License as        #
#  published by the Free Software Foundation, either version 3 of the    #
#  License, or (at your option) any later version, with the additional   #
#  exemption that compiling, linking, and/or using OpenSSL is allowed.   #
#                                                                        #
#  This program is distributed in the hope that it will be useful, but   #
#  WITHOUT ANY WARRANTY; without even the implied warranty of            #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     #
#  Affero General Public License for more details.                       #
#                                                                        #
#  You should have received a copy of the GNU Affero General Public      #
#  License along with this program.  If not, see                         #
#  <http://www.gnu.org/licenses/>.                                       #
##########################################################################

# Configuration
NAME := ben
PREFIX := /usr/local

# Auto-detection
ifeq ($(OCAMLBEST),)
HAS_OPT := $(shell if which ocamlopt > /dev/null; then echo yes; fi)
else ifeq ($(OCAMLBEST),native)
HAS_OPT := yes
else
HAS_OPT :=
endif

CLASSIC := $(if $(INSIDE_EMACS),-classic-display)
ARCH := $(if $(HAS_OPT),native,byte)
OCAMLBUILD := ocamlbuild $(CLASSIC) $(if $(HAS_OPT),,-byte-plugin)
OCAMLBUILD_ENV :=

# Build
TARGETS := lib/benl.cma $(if $(HAS_OPT),lib/benl.cmxa) bin/$(NAME).$(ARCH) modules.dot
GENERATED := modules.png

# modules w/o interfaces
EXTRA_FILES := $(shell find lib -iname "*.ml" | xargs -I {} sh -c "test -f '{}'i || echo '{}'")

# C stubs magic for bytecode
export CAML_LD_LIBRARY_PATH=$(CURDIR)/_build/lib

# Installation
BINDIR := $(DESTDIR)$(PREFIX)/bin

all: ocamlbuild $(GENERATED) doc

.PHONY: ocamlbuild doc clean env
ocamlbuild:
	$(OCAMLBUILD_ENV) $(OCAMLBUILD) $(TARGETS)

doc:
	$(MAKE) -C doc all

typerex: OCAMLBUILD_ENV := OCAMLFIND_COMMANDS='ocamlc=ocp-ocamlc ocamlopt=ocp-ocamlopt'
typerex: ocamlbuild

%.png: ocamlbuild
	dot -Tpng $(patsubst %.png,_build/%.dot,$@) > $@

clean:
	$(OCAMLBUILD) -clean
	rm -f *~ */*~ $(GENERATED)

env:
	@echo export CAML_LD_LIBRARY_PATH=$(CAML_LD_LIBRARY_PATH)

.PHONY: install
install:
	install -d $(BINDIR)
	install $(NAME).$(ARCH) $(BINDIR)/ben
	ocamlfind install $(NAME) $(wildcard $(addprefix _build/lib/,*.cmi *.mli *.cma *.cmx *.cmxa *.a *.so)) $(EXTRA_FILES) META

=== debian/changelog ===
ben (0.6.1ubuntu4) saucy; urgency=low

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 May 2013 08:02:58 +0100

ben (0.6.1ubuntu3) saucy; urgency=low

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 May 2013 23:12:10 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libpcre-ocaml-dev,
  libocamlgraph-ocaml-dev,
  libfileutils-ocaml-dev,
- libocsigen-xhtml-ocaml-dev,
+ libtyxml-ocaml-dev (>= 2.1-1~),
  libpostgresql-ocaml-dev,
  ocaml-nox (>= 3.11.1-3~),
  asciidoc,
@@ -26,8 +26,8 @@
 Standards-Version: 3.9.3
 Section: ocaml
 Homepage: http://ben.debian.net
-Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/precise-backports
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/precise-backports
+Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
 
 Package: libben-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,3 @@
 .PHONY: override_dh_install
 override_dh_install:
 	dh_install --fail-missing -X.so.owner
-
-.PHONY: override_dh_strip
-override_dh_strip:
-	dh_strip -X/usr/bin/ben

## ben 0.6.6ubuntu2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 ##########################################################################
-#  Copyright © 2009 Stéphane Glondu <steph@glondu.net>                   #
+#  Copyright © 2009-2013 Stéphane Glondu <steph@glondu.net>              #
+#            © 2010-2013 Mehdi Dogguy <mehdi@dogguy.org>                 #
 #                                                                        #
 #  This program is free software: you can redistribute it and/or modify  #
 #  it under the terms of the GNU Affero General Public License as        #
@@ -30,14 +31,23 @@
 HAS_OPT :=
 endif
 
+OCAML_STDLIB_DIR ?= $(shell /usr/bin/ocamlc -where)
+HAS_NATDYN =
+PLUGIN_EXT = cma
+ifneq (,$(wildcard $(OCAML_STDLIB_DIR)/dynlink.cmxa))
+  HAS_NATDYN := yes
+  PLUGIN_EXT := cmxs
+endif
+
 CLASSIC := $(if $(INSIDE_EMACS),-classic-display)
-ARCH := $(if $(HAS_OPT),native,byte)
+ARCH := $(if $(HAS_NATDYN),native,byte)
 OCAMLBUILD := ocamlbuild $(CLASSIC) $(if $(HAS_OPT),,-byte-plugin)
 OCAMLBUILD_ENV :=
 
 # Build
 TARGETS := lib/benl.cma $(if $(HAS_OPT),lib/benl.cmxa) bin/$(NAME).$(ARCH) modules.dot
 GENERATED := modules.png
+TEMPLATES := $(foreach TPL,$(wildcard templates/*),$(subst .ml,.$(PLUGIN_EXT),$(TPL)))
 
 # modules w/o interfaces
 EXTRA_FILES := $(shell find lib -iname "*.ml" | xargs -I {} sh -c "test -f '{}'i || echo '{}'")
@@ -47,8 +57,9 @@
 
 # Installation
 BINDIR := $(DESTDIR)$(PREFIX)/bin
+PLUGINSDIR := $(DESTDIR)$(PREFIX)/lib/ben/templates
 
-all: ocamlbuild $(GENERATED) doc
+all: ocamlbuild templates $(GENERATED) doc
 
 .PHONY: ocamlbuild doc clean env
 ocamlbuild:
@@ -58,10 +69,24 @@
 	$(MAKE) -C doc all
 
 typerex: OCAMLBUILD_ENV := OCAMLFIND_COMMANDS='ocamlc=ocp-ocamlc ocamlopt=ocp-ocamlopt'
-typerex: ocamlbuild
+typerex: all
 
 %.png: ocamlbuild
 	dot -Tpng $(patsubst %.png,_build/%.dot,$@) > $@
+
+.PHONY: templates build-templates install-templates
+templates: build-templates
+build-templates: $(patsubst %,build-%,$(TEMPLATES))
+
+build-templates/%:
+	$(OCAMLBUILD_ENV) $(OCAMLBUILD) templates/$*
+
+install-templates:
+	install -d $(PLUGINSDIR)
+	$(MAKE) $(patsubst %,install-%,$(TEMPLATES))
+
+install-templates/%:
+	install _build/templates/$* $(PLUGINSDIR)/$*
 
 clean:
 	$(OCAMLBUILD) -clean
@@ -71,7 +96,7 @@
 	@echo export CAML_LD_LIBRARY_PATH=$(CAML_LD_LIBRARY_PATH)
 
 .PHONY: install
-install:
+install: install-templates
 	install -d $(BINDIR)
-	install $(NAME).$(ARCH) $(BINDIR)/ben
+	install _build/bin/$(NAME).$(ARCH) $(BINDIR)/ben
 	ocamlfind install $(NAME) $(wildcard $(addprefix _build/lib/,*.cmi *.mli *.cma *.cmx *.cmxa *.a *.so)) $(EXTRA_FILES) META

=== doc/Makefile ===
--- 
+++ 
@@ -6,5 +6,7 @@
 refman.html:
 	asciidoc -b html -a icons -a toc2 $(@:.html=.txt)
 
+.PHONY: ben.1 refman.html
+
 clean:
 	-rm -f refman.html ben.1

=== debian/changelog ===
ben (0.6.6ubuntu2) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:22:47 +0000

ben (0.6.6ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
  * Add an Ubuntu template.
  * Tolerate templates with buildds or critical_bugs entries that return
    None.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Nov 2013 14:41:20 +0000

ben (0.6.6) unstable; urgency=low

  * Simplify computation of dependency levels by using ocamlgraph's SCC
    module
  * Use uninstallable:yes instead of debcheck:uninstallable
  * Add back edos-debcheck pseudo-field for compatibility with the setup
    at release.debian.org
  * Update copyright information

 -- Stéphane Glondu <glondu@debian.org>  Sun, 18 Aug 2013 14:55:29 +0200

ben (0.6.5) unstable; urgency=low

  [ Stéphane Glondu ]
  * Upload to unstable
  * Migrate to dose-debcheck (Closes: #707599)
    - the pseudo-header "edos-debcheck" has been renamed into "debcheck";
      existing .ben files using it might need update
  * Add visual indication for sources that build "MA: same" binaries
    (Closes: #711908)
  * New computation of dependency levels, which should give better results
    when there are cycles or several connected components
  * Drop dependency to ocamlgraph (no longer used)
  * Update Vcs-*
  * Bump Standards-Version to 3.9.4 (no changes)

  [ Mehdi Dogguy ]
  * Fix changelog urls
  * Only warn instead of exiting when a .ben file is incorrect
  * Better error reporting wrt. configuration files
  * Separator between comparison operators and versions can be empty
  * Handle architecture restrictions in packages' relationships
  * Command-line flags --use-cache and --cache-file are now available
    for all frontends.

  [ Johannes Schauer ]
  * Allow creation of a cache in download (Closes: #714703)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Aug 2013 23:57:07 +0200

ben (0.6.4) experimental; urgency=low

  * Pass -thread to ocamldoc when generating API documentation.
  * Pass needed flags to dh_ocaml so that Ben doesn't define modules
    Benl_error and Benl_templates.
  * Provide minimal documentation about HTML templates for Ben, and how
    to build them.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 06 Jan 2013 16:28:59 +0100

ben (0.6.3) experimental; urgency=low

  * Fix a typo in Makefile which made the build system try a native
    build on architectures where dynlink.cmxa is not available.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 08 Oct 2012 21:47:47 +0200

ben (0.6.2) experimental; urgency=low

  * Add missing dependency on curl. Thanks to Luca Falavigna for spotting
    it!
  * Make libjs-jquery a strong dependency and put a symlink in media
    (Closes: #680273)
  * Add docbook-xsl to Build-Depends (needed on Ubuntu to build the
    documentation). Thanks to Iain Lane!
  * Add a basic template mechanism
    - HTML templates are put under /usr/lib/ben/templates
    - Add --template command line option to "ben monitor" and "ben tracker"
    - Add "template" and "base-url" as configuration keys for "ben tracker"
  * The "media" directory is taken care by Ben directly now when "monitor"
    and "tracker" are used (See commit a5c222db6990da84ec30e4878d53bbda6).
  * Fix dependencies of the library in the META file.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 06 Oct 2012 22:46:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Build-Depends:
  debhelper (>= 8),
  dh-ocaml (>= 0.9.6~),
- docbook-xsl,
  graphviz,
  ocaml-findlib,
  menhir,
@@ -20,12 +19,15 @@
  ocaml-nox (>= 3.11.1-3~),
  asciidoc,
  docbook-xml,
+ docbook-xsl,
  libxml2-utils,
  xsltproc,
  source-highlight
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: ocaml
 Homepage: http://ben.debian.net
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ben.git
+XS-Debian-Vcs-Git: git://anonscm.debian.org/collab-maint/ben.git
 Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
 
@@ -62,12 +64,13 @@
  ${ocaml:Depends},
  ${shlibs:Depends},
  bzip2,
+ curl,
+ libjs-jquery,
  ${misc:Depends}
 Provides: ${ocaml:Provides}
 Enhances: devscripts
 Recommends:
- libjs-jquery,
- edos-debcheck
+ dose-debcheck
 Description: toolbox for Debian maintainers
  This is a collection of useful tools that Debian maintainers can use
  to make their packaging work easier. They all work with regular

=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,7 @@
 .PHONY: override_dh_install
 override_dh_install:
 	dh_install --fail-missing -X.so.owner
+
+.PHONY: override_dh_ocaml
+override_dh_ocaml:
+	dh_ocaml --nodefined-map ben:Benl_error,Benl_templates

## ben 0.6.11.2ubuntu1

=== doc/Makefile ===
all: ben.1 refman.html

REVISION=$(shell cd .. && dpkg-parsechangelog | sed -n "s/Version: //p")

ben.1:
	a2x --doctype manpage --format manpage $@.txt

refman.html:
	asciidoc -b html -a icons -a toc2 -a localrevision='$(REVISION)' $(@:.html=.txt)

.PHONY: ben.1 refman.html

clean:
	-rm -f refman.html ben.1

=== debian/changelog ===
ben (0.6.11.2ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Iain Lane <iain.lane@canonical.com>  Sun, 31 Aug 2014 23:15:45 +0100

ben (0.6.11.2) unstable; urgency=medium

  * Ben should not define any of the modules exported by its library.
    Update the nodefined-map for Ben accordingly.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 09 Aug 2014 12:51:11 +0200

ben (0.6.11.1) unstable; urgency=medium

  * Add Benl_clflags and Benl_core to ben's nodefined-map when calling
    dh_ocaml.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 09 Aug 2014 12:02:29 +0200

ben (0.6.11) unstable; urgency=medium

  * Add --no-clean to "ben tracker" to leave unknown generated
    HTML files.
  * "ben tracker" will clean up the HTML directory by default from
    now on.
  * Add ability to read uncompressed files by specifying "plain",
    "no" or "none" as a compression format.
  * Remove --output-type from "ben tracker". Support for other output
    types didn't exist anyway and is not planned.
  * Simplify queries so that processing is, a bit, faster.
  * Make templates directory configurable through BEN_TEMPLATES_DIR
    environment variable.
  * Automatically set correct date and revision when generating refman.
  * Add libocamlnet-ocaml-dev to Build-Depends, needed by Ben_monitor
    through usage of Netencoding (Closes: #750327).

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 09 Aug 2014 10:29:12 +0200

ben (0.6.10.1) unstable; urgency=medium

  * Fix built regexp to use for string matching.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 04 May 2014 09:31:23 +0200

ben (0.6.10) unstable; urgency=medium

  * Fix a bug in "ben query": Expand the list of kept field names
    using Benl_data.relevant_*_keys and Benl_clflags.more_relevant_*_keys
  * A little speed-up for queries on fixed strings (Closes: #732836).

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 04 May 2014 02:23:18 +0200

ben (0.6.9) unstable; urgency=medium

  * dose-debcheck package does not exist. Recommend dose-distcheck
    instead (Closes: #746507).

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 01 May 2014 13:20:10 +0200

ben (0.6.8) unstable; urgency=medium

  * Add --more-binary-keys and --more-binary-keys CLI options to be
    able to specify further relevant binary or source keys to consider
    when running `ben monitor`.
    This is a way to extend the default list of keys considered by Ben
    and which was introduced in 6f532423296083bed50b85a6ffb29b53e1349e23.
  * Remove ia64 from default list of architectures (Closes: #743724).
  * Translate to lowercase user-specified field names
  * Capitalize field names (and take into account a word separator) when
    printing them.
  * Add --preferred-compression-format (or -z) command line option to
    specify which compression algorithm to use. Known formats are Gzip,
    Bz2 and Xz. This automatically makes them known to "ben download"
    and "ben query".
  * Update architectures lists:
    - Remove sparc from Debian architectures.
    - Add HPPA in Debian Ports list.
  * Now cache-dir, cache-file and use-cache can be set in configuration
    files.
  * Read $HOME/.benrc file at startup and provide --no-benrc to skip it
    (Closes: #746046).

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 27 Apr 2014 23:12:15 +0200

ben (0.6.7) unstable; urgency=low

  [ Stéphane Glondu ]
  * In monitor, consider all binary packages of affected source packages
  * Sort transitions in tracker index (Closes: #732833)
  * Download .gz package lists instead of .bz2 (Closes: #736159)
  * Bump Standards-Version to 3.9.5

  [ Nobuhiro Iwamatsu ]
  * Update achitecture lists (Closes: #729090)

  [ Colin Watson ]
  * Tolerate templates with buildds or critical_bugs entries that return
    None (Closes: #728708)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 27 Jan 2014 11:26:46 +0100

ben (0.6.6ubuntu3) utopic; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 May 2014 12:27:50 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  ocaml-findlib,
  menhir,
  libpcre-ocaml-dev,
+ libocamlnet-ocaml-dev,
  libocamlgraph-ocaml-dev,
  libfileutils-ocaml-dev,
  libtyxml-ocaml-dev (>= 2.1-1~),
@@ -23,7 +24,7 @@
  libxml2-utils,
  xsltproc,
  source-highlight
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: ocaml
 Homepage: http://ben.debian.net
 XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ben.git
@@ -70,7 +71,7 @@
 Provides: ${ocaml:Provides}
 Enhances: devscripts
 Recommends:
- dose-debcheck
+ dose-distcheck
 Description: toolbox for Debian maintainers
  This is a collection of useful tools that Debian maintainers can use
  to make their packaging work easier. They all work with regular

## ben 0.7.0

=== Makefile ===
--- 
+++ 
@@ -59,10 +59,10 @@
 BINDIR := $(DESTDIR)$(PREFIX)/bin
 PLUGINSDIR := $(DESTDIR)$(PREFIX)/lib/ben/templates
 
-all: ocamlbuild templates $(GENERATED) doc
+all: build templates $(GENERATED) doc
 
-.PHONY: ocamlbuild doc clean env
-ocamlbuild:
+.PHONY: build doc clean env
+build:
 	$(OCAMLBUILD_ENV) $(OCAMLBUILD) $(TARGETS)
 
 doc:
@@ -71,7 +71,7 @@
 typerex: OCAMLBUILD_ENV := OCAMLFIND_COMMANDS='ocamlc=ocp-ocamlc ocamlopt=ocp-ocamlopt'
 typerex: all
 
-%.png: ocamlbuild
+%.png: build
 	dot -Tpng $(patsubst %.png,_build/%.dot,$@) > $@
 
 .PHONY: templates build-templates install-templates

=== doc/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	a2x --doctype manpage --format manpage $@.txt
 
 refman.html:
-	asciidoc -b html -a icons -a toc2 -a localrevision='$(REVISION)' $(@:.html=.txt)
+	asciidoc -b html5 -a icons -a data-uri -a iconsdir=/etc/asciidoc/images/icons -a toc2 -a localrevision='$(REVISION)' $(@:.html=.txt)
 
 .PHONY: ben.1 refman.html

=== debian/changelog ===
ben (0.7.0) unstable; urgency=medium

  * Add --no-clean to "ben tracker" to leave unknown generated
    HTML files.
  * "ben tracker" will clean up the HTML directory by default from
    now on.
  * Add ability to read uncompressed files by specifying "plain",
    "no" or "none" as a compression format.
  * Remove --output-type from "ben tracker". Support for other output
    types didn't exist anyway and is not planned.
  * Simplify queries so that processing is, a bit, faster.
  * Make templates directory configurable through BEN_TEMPLATES_DIR
    environment variable.
  * Automatically set correct date and revision when generating refman.
  * Bump magic number to BENA0902 because of change in internal format
    of cache file. This requires regeneration of .cache files.
  * Ben should not define any of the modules exported by its library.
    Update the nodefined-map for Ben accordingly.
  * Add libocamlnet-ocaml-dev to Build-Depends, needed by Ben_monitor
    through usage of Netencoding (Closes: #750327).
  * Using -stdin, ben monitor will read its input file from the
    standard input (Closes: #747887).
  * Document how ben query makes the difference between Packages and
    Sources files (Closes: #747879).
  * Use Arg module to process CLI arguments.
  * Parallelize (using ParMap) ben's processing in all frontends, except
    query.
    - Add libparmap-ocaml-dev to Build-Depends.
  * Use Re.Pcre instead of Pcre in a few places to be able to parallelize
    since this requires serializing a few data structures.
  * Add a collision detector in ben tracker (Closes: #730619).
  * Read and show explanations given by dose-debcheck.
    - Add libextlib-ocaml-dev to Build-Depends.
  * Suppose no ignored architectures when ignored item is missing in
    the configuration file.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 25 Oct 2014 15:59:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ben
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -17,6 +16,9 @@
  libfileutils-ocaml-dev,
  libtyxml-ocaml-dev (>= 2.1-1~),
  libpostgresql-ocaml-dev,
+ libparmap-ocaml-dev,
+ libre-ocaml-dev,
+ libextlib-ocaml-dev,
  ocaml-nox (>= 3.11.1-3~),
  asciidoc,
  docbook-xml,
@@ -27,10 +29,8 @@
 Standards-Version: 3.9.5
 Section: ocaml
 Homepage: http://ben.debian.net
-XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ben.git
-XS-Debian-Vcs-Git: git://anonscm.debian.org/collab-maint/ben.git
-Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ben.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/ben.git
 
 Package: libben-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,4 @@
 
 .PHONY: override_dh_ocaml
 override_dh_ocaml:
-	dh_ocaml --nodefined-map ben:Benl_error,Benl_templates
+	dh_ocaml --nodefined-map ben:$(shell cat lib/benl.mllib | tr '\n' ',' | sed "s/,$$//")

## ben 0.7.0+deb8u1

=== debian/changelog ===
ben (0.7.0+deb8u1) jessie; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Fix buildd.debian.org compact links

  [ Mehdi Dogguy ]
  * Ignore potential errors when deleting lock file
  * Call dose-debcheck with --deb-native-arch

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 01 Sep 2015 21:30:42 +0000

## ben 0.7.1b1

=== debian/changelog ===
ben (0.7.1b1) staging; urgency=high

  * No-change rebuild against updated ocaml libraries

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 Sep 2015 08:54:20 +0000

ben (0.7.1) unstable; urgency=medium

  [ Paul Wise ]
  * cdn.debian.net has been deprecated, replace it with http.debian.net

  [ Mehdi Dogguy ]
  * Ignore potential errors when deleting lock file
  * Use FileUtil.rm instead of calling /bin/rm
  * Replaces uses of Benl_core.list_iteri with List.iteri, which requires
    OCaml >= 4.0.
  * Call dose-debcheck with --deb-native-arch
  * Make build reproducible (Closes: #792054)
  * Add a note about order of command-line flags in documentation (Closes: #747875)
  * Add Json output format in monitor (Closes: #747883)
  * Drop --text, --xhtml and --color in favor of --output-format|-f

  [ Emilio Pozuelo Monfort ]
  * Fix buildd.debian.org compact links

  [ Simon McVittie ]
  * Add a new Partial category for packages that are both good and bad
    (Closes: #795314).

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 15 Aug 2015 00:17:37 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libparmap-ocaml-dev,
  libre-ocaml-dev,
  libextlib-ocaml-dev,
- ocaml-nox (>= 3.11.1-3~),
+ ocaml-nox (>= 4~),
  asciidoc,
  docbook-xml,
  docbook-xsl,

## ben 0.7.3ubuntu2

=== debian/changelog ===
ben (0.7.3ubuntu2) xenial; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 12:07:15 +0000

ben (0.7.3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.
  * Fixes FTBFS (LP: #1515019)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 11 Nov 2015 19:08:23 +0000

ben (0.7.3) unstable; urgency=medium

  * Port to tyxml 3.5
  * Tell curl to follow HTTP redirects

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 18 Oct 2015 16:07:27 +0200

ben (0.7.2) unstable; urgency=medium

  * Use date from last changelog entry in generated documentation to ensure
    a reproducible build.
  * Use http://httpredir.debian.org/debian as a default Debian mirror.
  * Update instructions in example file (Closes: #797100).
  * Set section to "devel" (Closes: #800390).
  * Drop Benl_arg module and use OCaml's Arg module. This change bumps
    minimal required version for OCaml to 4.01.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 18 Oct 2015 09:33:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ben
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -14,12 +15,12 @@
  libocamlnet-ocaml-dev,
  libocamlgraph-ocaml-dev,
  libfileutils-ocaml-dev,
- libtyxml-ocaml-dev (>= 2.1-1~),
+ libtyxml-ocaml-dev (>= 3.5~),
  libpostgresql-ocaml-dev,
  libparmap-ocaml-dev,
  libre-ocaml-dev,
  libextlib-ocaml-dev,
- ocaml-nox (>= 4~),
+ ocaml-nox (>= 4.01~),
  asciidoc,
  docbook-xml,
  docbook-xsl,
@@ -27,10 +28,12 @@
  xsltproc,
  source-highlight
 Standards-Version: 3.9.5
-Section: ocaml
+Section: devel
 Homepage: http://ben.debian.net
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ben.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/ben.git
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ben.git
+XS-Debian-Vcs-Git: git://anonscm.debian.org/collab-maint/ben.git
+Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
 
 Package: libben-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 export DESTDIR := $(CURDIR)/debian/tmp
 export OCAMLFIND_DESTDIR := $(DESTDIR)$(OCAML_STDLIB_DIR)
+export BUILD_DATE := $(shell dpkg-parsechangelog -S Date)
 
 # FIXME: xhtmlpretty.cmxa is only available on natdynlink architectures
 ifeq ($(OCAML_NATDYNLINK),yes)

## ben 0.7.3ubuntu3

=== debian/changelog ===
ben (0.7.3ubuntu3) yakkety; urgency=medium

  * No-change rebuild for ocaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Sep 2016 12:12:48 +0000

## ben 0.7.4

=== Makefile ===
--- 
+++ 
@@ -72,7 +72,7 @@
 typerex: all
 
 %.png: build
-	dot -Tpng $(patsubst %.png,_build/%.dot,$@) > $@
+	-dot -Tpng $(patsubst %.png,_build/%.dot,$@) > $@
 
 .PHONY: templates build-templates install-templates
 templates: build-templates

=== doc/Makefile ===
all: ben.1 refman.html

REVISION=$(shell cd .. && dpkg-parsechangelog -S Version)
DATE=$(shell cd .. && dpkg-parsechangelog -S Date)

ben.1:
	a2x --doctype manpage --format manpage $@.txt

refman.html:
	asciidoc -b html5 -a icons -a data-uri -a iconsdir=/etc/asciidoc/images/icons -a toc2 -a footer-style=none -a localdate='$(DATE)' -a localrevision='$(REVISION)' $(@:.html=.txt)

.PHONY: ben.1 refman.html

clean:
	-rm -f refman.html ben.1

=== debian/changelog ===
ben (0.7.4) unstable; urgency=medium

  * Set Section to ocaml for libben-ocaml{,-dev}
  * Show ignored architectures in italics in generated monitors.
  * Ignore failures of "dot" command during build (Closes: #815315).
  * Use https instead of http for external links (Closes: #810213).
  * Move libben-ocaml{,-dev} into OCaml section.
  * Use Bytes module instead of String where necessary.
  * Add a ticker in monitor for Partial state.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 19 Mar 2016 08:34:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ben
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -29,13 +28,12 @@
  source-highlight
 Standards-Version: 3.9.5
 Section: devel
-Homepage: http://ben.debian.net
-XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ben.git
-XS-Debian-Vcs-Git: git://anonscm.debian.org/collab-maint/ben.git
-Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
+Homepage: https://ben.debian.net
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ben.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/ben.git
 
 Package: libben-ocaml-dev
+Section: ocaml
 Architecture: any
 Depends:
  ${ocaml:Depends},
@@ -50,6 +48,7 @@
  This package contains development files of the library.
 
 Package: libben-ocaml
+Section: ocaml
 Architecture: any
 Depends:
  ${ocaml:Depends},

## ben 0.7.7

=== debian/changelog ===
ben (0.7.7) unstable; urgency=medium

  * Use built-in ocamlfind support of ocamlbuild
  * Do not fail when "ocamlbuild -clean" fails

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2017 17:19:31 +0200

ben (0.7.6) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2017 23:22:09 +0200

ben (0.7.5) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * Do not show the same warning about missing source packages multiple
    times
  * Do not output warnings about missing source packages in quiet mode

  [ James Clarke ]
  * Use deb.debian.org rather than httpredir.debian.org as the default
    mirror (Closes: #866341)
  * Use tracker.debian.org for PTS links (Closes: #866342)

  [ Stéphane Glondu ]
  * Take into account Build-Depends-Arch
  * Add Benl_parallel to benl.mllib
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.0.0
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2017 17:09:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 10),
  dh-ocaml (>= 0.9.6~),
  graphviz,
  ocaml-findlib,
+ ocamlbuild,
  menhir,
  libpcre-ocaml-dev,
  libocamlnet-ocaml-dev,
@@ -26,11 +27,11 @@
  libxml2-utils,
  xsltproc,
  source-highlight
-Standards-Version: 3.9.5
+Standards-Version: 4.0.0
 Section: devel
 Homepage: https://ben.debian.net
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ben.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/ben.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ben.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ben.git
 
 Package: libben-ocaml-dev
 Section: ocaml

## ben 0.7.7ubuntu1

=== debian/changelog ===
ben (0.7.7ubuntu1) artful; urgency=medium

  * Merge from Debian Sid.  Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 05 Aug 2017 00:11:18 -0500

ben (0.7.4ubuntu3) artful; urgency=high

  * No change rebuild against updated fileutils abi.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 16 Jul 2017 23:11:18 +0100

ben (0.7.4ubuntu2) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 11:45:36 +0100

ben (0.7.4ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Apr 2017 22:53:56 +0200

## ben 0.7.7ubuntu2

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,8 @@
 	install _build/templates/$* $(PLUGINSDIR)/$*
 
 clean:
-	$(OCAMLBUILD) -clean
+	-$(OCAMLBUILD) -clean
+	rm -rf _build
 	rm -f *~ */*~ $(GENERATED)
 
 env:

=== debian/changelog ===
ben (0.7.7ubuntu2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:43:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ben
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -30,8 +31,10 @@
 Standards-Version: 4.0.0
 Section: devel
 Homepage: https://ben.debian.net
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ben.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ben.git
+XS-Debian-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ben.git
+XS-Debian-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ben.git
+Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
 
 Package: libben-ocaml-dev
 Section: ocaml

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 endif
 
 %:
-	dh $@ --with ocaml
+	dh $@ --with ocaml --no-parallel
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:

## ben 0.8.2

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 OCAMLBUILD_ENV :=
 
 # Build
-TARGETS := lib/benl.cma $(if $(HAS_OPT),lib/benl.cmxa) bin/$(NAME).$(ARCH) modules.dot
+TARGETS := lib/benl.cma $(if $(HAS_OPT),lib/benl.cmxa) bin/$(NAME).$(ARCH) META modules.dot
 GENERATED := modules.png
 TEMPLATES := $(foreach TPL,$(wildcard templates/*),$(subst .ml,.$(PLUGIN_EXT),$(TPL)))
 
@@ -100,4 +100,4 @@
 install: install-templates
 	install -d $(BINDIR)
 	install _build/bin/$(NAME).$(ARCH) $(BINDIR)/ben
-	ocamlfind install $(NAME) $(wildcard $(addprefix _build/lib/,*.cmi *.mli *.cma *.cmx *.cmxa *.a *.so)) $(EXTRA_FILES) META
+	ocamlfind install $(NAME) $(wildcard $(addprefix _build/lib/,*.cmi *.mli *.cma *.cmx *.cmxa *.a *.so)) $(EXTRA_FILES) _build/META

=== debian/changelog ===
ben (0.8.2) unstable; urgency=medium

  * Fix typo in reference manual. Thanks to Paul Gevers for the
    patch.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 03 Jun 2018 14:08:45 +0200

ben (0.8.1) unstable; urgency=medium

  * Fix a minor typo in refman
  * Port to ocaml-re 1.7.2 and set 1.7.2 as minimal required version for
    ocaml-re in d/control
  * Add buildd and rcbug links for arch:all packages (Closes: #900627)
  * Raise a meaningful error when failing to parse a query
  * Add a visible tag for arch:all packages, as done for ma:same

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 03 Jun 2018 13:30:20 +0200

ben (0.8.0) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Activate most warnings and safe_string, and fix warnings
  * Add .mli files for frontends and remove dead code
  * Add a new "rebuild" frontend

  [ Mehdi Dogguy ]
  * Fix regexp in "ben query"
  * Add missing dependencies in META file
  * Insert automatically current version in META file
  * Migrate Git repository to Salsa
    - Update Vcs-* headers and documentation accordingly
  * Use asciidoctor instead of asciidoc (Closes: #895166)
  * Fix column layout for transitions divs in CSS (Closes: #873711).
    Thanks to Bas Couwenberg for the patch!
  * When verbose mode is set, warn if cache is being regenerated
  * Use new functions String.{lowercase,capitalize}_ascii instead of deprecated
    String.{lowercase,capitalize}
    - String.{capitalize,lowercase}_ascii need OCaml >= 4.03
  * Remove definitions of unused modules
  * Use long-option for curl for more clarity
  * Add more progress messages in "ben download"
  * Print path of downloaded and parsed files
  * When setting the cache_file, update cache_dir only when user supplies
    an absolute path
  * Add an ocamlbuild rule to build .cmxs files from .cmx (Closes: #876478)
    and document how to generate custom templates
  * Port to Tyxml 4.1
  * Use /usr/share/dpkg/pkg-info.mk instead of parsing changelog manually

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 21 May 2018 18:13:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ben
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -16,13 +15,13 @@
  libocamlnet-ocaml-dev,
  libocamlgraph-ocaml-dev,
  libfileutils-ocaml-dev,
- libtyxml-ocaml-dev (>= 3.5~),
+ libtyxml-ocaml-dev (>= 4.1~),
  libpostgresql-ocaml-dev,
  libparmap-ocaml-dev,
- libre-ocaml-dev,
+ libre-ocaml-dev (>= 1.7.2~),
  libextlib-ocaml-dev,
- ocaml-nox (>= 4.01~),
- asciidoc,
+ ocaml-nox (>= 4.03~),
+ asciidoctor,
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
@@ -31,10 +30,8 @@
 Standards-Version: 4.0.0
 Section: devel
 Homepage: https://ben.debian.net
-XS-Debian-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ben.git
-XS-Debian-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ben.git
-Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
+Vcs-Browser: https://salsa.debian.org/debian/ben
+Vcs-Git: https://salsa.debian.org/debian/ben.git
 
 Package: libben-ocaml-dev
 Section: ocaml

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,11 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 include /usr/share/ocaml/ocamlvars.mk
+include /usr/share/dpkg/pkg-info.mk
 
 export DESTDIR := $(CURDIR)/debian/tmp
 export OCAMLFIND_DESTDIR := $(DESTDIR)$(OCAML_STDLIB_DIR)
-export BUILD_DATE := $(shell dpkg-parsechangelog -S Date)
 
-# FIXME: xhtmlpretty.cmxa is only available on natdynlink architectures
 ifeq ($(OCAML_NATDYNLINK),yes)
 export OCAMLBEST := native
 else

## ben 0.8.2ubuntu1

=== debian/changelog ===
ben (0.8.2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Jun 2018 12:06:19 +0200

ben (0.8.0ubuntu2) cosmic; urgency=medium

  * Fixup build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 May 2018 22:29:57 +0200

ben (0.8.0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Show Ubuntu logo.
    - Allow configs to request the Packages/Sources files are not
      redownloaded (so that we can download once and for all at the start).
    - Add an Ubuntu template.
    - Tolerate templates with buildds or critical_bugs entries that return
      None.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 May 2018 22:13:27 +0200

## ben 0.8.2ubuntu4

=== debian/changelog ===
ben (0.8.2ubuntu4) disco; urgency=medium

  * Rebuild against new ocam ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Jan 2019 17:25:33 +0100

ben (0.8.2ubuntu3) disco; urgency=medium

  * No-change rebuild against libocamlgraph-ocaml-dev-jhl56

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Jan 2019 13:39:06 +0100

ben (0.8.2ubuntu2) disco; urgency=medium

  * No-change rebuild against libocamlgraph-ocaml-dev-c6xm2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Jan 2019 00:36:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ben
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
@@ -30,8 +31,8 @@
 Standards-Version: 4.0.0
 Section: devel
 Homepage: https://ben.debian.net
-Vcs-Browser: https://salsa.debian.org/debian/ben
-Vcs-Git: https://salsa.debian.org/debian/ben.git
+Vcs-Browser: https://code.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-transition-trackers/ubuntu-transition-tracker/ben
 
 Package: libben-ocaml-dev
 Section: ocaml

## ben 0.8.2+nmu1

=== debian/changelog ===
ben (0.8.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:30:42 +0800
